import { OnInit, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { NgxDiff2htmlService } from './ngx-diff2html.service';
export declare class NgxDiff2htmlComponent implements OnInit, OnChanges {
    private diffService;
    private left;
    private right;
    private filename;
    private format;
    private style;
    diffChange: EventEmitter<string>;
    private diff;
    diffHTML: string;
    constructor(diffService: NgxDiff2htmlService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private propHasChanged;
    getDiff(): void;
    refreshDiffHTML(): void;
}
